## org.w3c.dom.html
Interface HTMLBaseElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLBaseElement
extends HTMLElement

Document base URI. See the BASE element definition in HTML 4.0.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getHref()` The base URI See the href attribute definition in HTML 4.0.
`java.lang.String` `getTarget()` The default target frame.
`void` `setHref(java.lang.String href)`
`void` `setTarget(java.lang.String target)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getHref

    public java.lang.String getHref()

  The base URI See the href attribute definition in HTML 4.0.

### setHref

    public void setHref(java.lang.String href)

### getTarget

    public java.lang.String getTarget()

  The default target frame. See the target attribute definition in HTML 4.0.

### setTarget

    public void setTarget(java.lang.String target)

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.